Subject: bug#76934: 31.0.50; rectangle-mark-mode resets fringe-mode settings

From: the_wurfkreuz <[email-masked]>
Date: Tue, 11 Mar 2025 14:34:09 +0000

Sorry for the bad report.
Initially, there is the fringe area (shown in the attached file called "first-screenshot"). I can interactively execute the fringe-mode command it choose the 'minimal' option. It makes the fringe area to visually disappear and emacs adjusts the space between the fringe of the window and line numbers accordingly (shown in the second-screenshot). Then i use the rectangle-mark-mode command and doing so returns the space that was previously taken by the fringe area back (shown in the third-screenshot). Yes, the added space doesn't use any highlighting, so you can't verify it by looking at the highlighting for the fringe-area, my description was confusing on that part.

On Tuesday, March 11th, 2025 at 1:25 PM, Eli Zaretskii <[email-masked]> wrote:

> > Date: Tue, 11 Mar 2025 08:06:40 +0000
> > From: the_wurfkreuz via "Bug reports for GNU Emacs,
> > the Swiss army knife of text editors" [email-masked]
> > 
> > If i set the fringe-mode with the 'minimal' option, then using the
> > rectangle-mark-mode resets it.
> > 
> > Steps to reproduce:
> > 
> > 1. emacs -Q
> > 2. In the scratch buffer evaluate this code:
> > 
> > (global-display-line-numbers-mode 1)
> > (setq display-line-numbers 'visual
> > display-line-numbers-type 'relative)
> > 
> > 3. M-x fringe-mode (choose the minimal option)
> > 4. M-x rectangle-mark-mode
> > 
> > You will see that the fringe area reappeared again.
> 
> 
> I cannot reproduce this. Maybe this is GTK-specific? Or maybe I
> don't understand what you mean by "fringe area reappeared"?
> 
> I made the fringe background be red, to make it easier spotted, and
> performed your recipe: I see the same 1-pixel fringe before and after
> I invoke rectangle-mark-mode.